package auction;

import javax.ejb.*;
import java.rmi.*;
import java.util.*;

public interface AuctionItemHome extends EJBHome {
  AuctionItem create(String theseller, String thedescription, int duration, double thestartprice, String thesummary) throws CreateException, RemoteException;
  AuctionItem create(int id,String theseller, String thedescription, int duration, double thestartprice, String thesummary, double increment) throws CreateException, RemoteException;
  AuctionItem findByPrimaryKey(AuctionItemPK id) throws FinderException, RemoteException;
  public Enumeration findAllItems() throws FinderException, RemoteException;
  public Enumeration findAllNewItems(java.sql.Date newtoday) throws FinderException, RemoteException;
  public Enumeration findAllClosedItems(java.sql.Date closedtoday) throws FinderException, RemoteException;
  public Enumeration findAllMatchingItems(String searchString) throws FinderException, RemoteException;

}

